<?php

namespace App\ReportsData\EntityList;

class Services extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_services, $DBTRd_orders, $DBTRd_customers, $DBTRd_offers, $DBTRd_clientInvoices;
		$this->setMainTable($DBTRd_services, 'serv');
		$this->addAllowedTable($DBTRd_orders, 'ord', 'serv.idOrder=ord.id', 'INNER');
		$this->addAllowedTable($DBTRd_customers, 'cust', 'serv.idFirstCustomer=cust.id', 'INNER');
		$this->addAllowedTable($DBTRd_offers, 'off', 'serv.idOffer=off.id', 'INNER');
		$this->addAllowedTable($DBTRd_clientInvoices, 'relevantInv', 'serv.idRelevantInvoice=relevantInv.id', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

